using adas_core.Domain.Models;

namespace adas_core.Application.Repositories.Interfaces;

public interface IDiagnosisArchiveRepository
{
    Task InsertOneAsync(PatientDiagnosis patientDiagnosis);
    Task DeleteBeforeDate(DateTime date);
    Task<long> InsertBatch(IEnumerable<PatientDiagnosis> diagnosis);
}